Ocean of Jobs
REST APIReferenceAccount

Pause, resume or re-filter an alert

PATCH
/me/alerts/{id}

Pause/resume an alert ({"active": true|false}) or update its filter payload ({"filter": {...}}).

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Your Cognito ID token, as Authorization: Bearer <id_token>. If a token is missing, expired, or invalid, the request returns 401 Unauthorized.

Path Parameters

id*string
Formatuuid

Request Body

application/json
  1. body
active?boolean
filter?

Response Body

Success.

application/json
  1. response
alert_id?string
Formatuuid
filter?

Any subset of the /api/jobs filter keys.

active?boolean
created_at?string
Formatdate-time
last_notified_at?|
Formatdate-time
Example Request
curl -X PATCH 'https://oceanofjobs.com/api/me/alerts/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "alert_id": "c8b0bcf7-1a95-4165-9b1e-665b02ceda9f",  "filter": {},  "active": true,  "created_at": "2019-08-24T14:15:22Z",  "last_notified_at": "2019-08-24T14:15:22Z"}